@font-face {
	font-family: rm;
	src: url("rm.otf");
}
html { 
	font-size: 16px; 
}
body {
	background-color: #FFFFF8;
	color: #111111;
	font-family: rm;
	line-height: 1;
	margin: 0 1rem 0 0;
	display: flex;
	flex-direction: row;
}
table {
	border-spacing: 0;
	border-collapse: collapse;
}
td {
	padding: 0;
}
button {
	display: block;
	margin: 1rem;
	padding: 0;
	width: 12rem;
	height: 3rem;
	font-size: inherit;
	font-family: inherit;
	background-color: White;
}
button {
	color: Black;
	border: 2px solid Black;
	border-top-color: #545454;
	border-left-color: #545454;
}
button:disabled {
	color: #B7B7B7;
	border-color: #B7B7B7;
}
button.green {
	color: #247D24;
	border-color: #247D24;
	background-color: #44CE1B;
}
button.red {
	color: #861212;
	border-color: #861212;
	background-color: #E51F1F;
}
input {
	display: block;
	margin: 1rem;
	border: 2px solid;
	width: calc(10rem - 4px); 
	height: 2.6rem; 
	padding: 0 1rem;
	font-size: inherit;
	font-family: inherit;
	background-color: White;
}
#col1 {
	flex: 0 0 14em;
	vertical-align: top;
}
#col2 {
	flex: 1;
	vertical-align: top;
	height: 100vh;
	height: 100dvh; 
	display: flex;
	flex-direction: column;
}
#title {
	font-size: 300%;
	font-weight: bold;
	margin: 1rem 0;
}
.subtitle {
	font-size: 150%;
	font-weight: bold;
	margin: 0 0 1rem 0;
}
#hiscore {
	width: 1%;
	visibility: hidden;
}
#hiscore tr#me {
	background-color: LightBlue;
}
#hiscore td {
	border: 2px solid;
	padding: 0.8em;
	width: 1%;
	white-space: nowrap;
}
#hiscore td:nth-child(1) {
	text-align: center;
}
#hiscore td:nth-child(2) {
	min-width: 16em;
}
#hiscore td:nth-child(3) {
	text-align: center;
}
#hiscore td:nth-child(4) {
	text-align: center;
}
#pts {
	margin: 1rem;
	font-size: 150%;
	font-weight: bold;
}
#lvl {
	margin: 1rem;
	display: flex;
	flex-direction: row;
}
#lvl div {
	height: 2.75rem;
	margin: 0 0 0 0.4rem;
	flex: 1;
	visibility: hidden;
}
#lvl div:nth-child(1) {
	margin: 0;
	background-color: #44CE1B; 
}
#lvl div:nth-child(2) {
	background-color: #9ED94A;
}
#lvl div:nth-child(3) {
	background-color: #D9E069;
}
#lvl div:nth-child(4) {
	background-color: #F7E379; 
}
#lvl div:nth-child(5) {
	background-color: #F4C26A;
}
#lvl div:nth-child(6) {
	background-color: #EE814C;
}
#lvl div:nth-child(7) {
	background-color: #E51F1F; 
}
#lvl div:nth-child(8) {
	background-color: #BF1A1A;
}
#lvl div:nth-child(9) {
	background-color: #731010;
}
#lvl div:nth-child(10) {
	background-color: #000000; 
}
#ttl {
	flex: 0 0;
	margin: 1rem 0;
	font-size: 150%;
	font-weight: bold;
}
#inner {
	flex: 1;
	overflow: hidden;
}
#canvas {
	max-width: 100%;
	max-height: 100%;
}
#answers {
	width: min(50rem, 100% - 1rem);
}
#answers td {
	border: 2px solid;
	padding: 0.4rem 0.6rem;
	width: 1%;
	white-space: nowrap;
}
#answers td:nth-child(1) {
	text-align: center;
}
#answers td:nth-child(4) {
	width: 99%;
	white-space: normal;
}
